Post by ShariB23 » Sat Feb 23, 2019 1:12 am

I am getting the following error from my facebook ad extension. Warning: html_entity_decode(): charset `UTF-8;' not supported, assuming utf-8 in /public_html/system/library/facebookcommonutils.php on line 130. It is a recent error. It hasn't always been there. Perhaps I changed something, but I don't know what.

Newbie

Posts

Joined
Sat Oct 10, 2015 2:03 am


Post by straightlight » Sat Feb 23, 2019 1:40 am

Contact the extension developer to resolved this issue.

The most generated errors being found on Opencart forum originates from contributed programming. The increased post counters are caused by redundancies of the same solutions that were already provided prior.


Regards,
Straightlight
Opencart.com contractor officials representative


Legendary Member

Posts

Joined
Mon Nov 14, 2011 11:38 pm
Location - Canada, ON

Post by thekrotek » Sat Feb 23, 2019 2:13 am

Not related to extension, no need to contact extension developer. Check your php.ini and user.ini files for "UTF-8;" part of the string and remove semicolon.

Professional OpenCart extensions, support and custom work.
Contact me via email or Skype by support@thekrotek.com


User avatar
Expert Member

Posts

Joined
Sun Jul 03, 2016 12:24 am


Post by OSWorX » Sat Feb 23, 2019 2:14 am

Simply edit the file

Code: Select all

system/library/facebookcommonutils.php
and check what is defined there at line 130 - as it seems that there is a typo:

Code: Select all

`UTF-8;'
Beside this, the recommandation to contact the developer is still alive.

Forum Rules [en]: viewtopic.php?f=176&t=200480
Commercial Request: viewforum.php?f=88
Dedicated Support: https://dedicated.opencart.com/
Marketplace Support: https://www.opencart.com/index.php?rout ... rt/support
Documentation: http://docs.opencart.com/en-gb/extension/theme/

Image Image Image


User avatar
Guru Member

Posts

Joined
Mon Jan 11, 2010 10:52 pm
Location - Austria

Post by OSWorX » Sat Feb 23, 2019 2:15 am

thekrotek wrote:
Sat Feb 23, 2019 2:13 am
Not related to extension, no need to contact extension developer. Check your php.ini and user.ini files for "UTF-8;" part of the string and remove semicolon.
If it would be that, the error would be displayed many times (because used in many files), don't you think?

Forum Rules [en]: viewtopic.php?f=176&t=200480
Commercial Request: viewforum.php?f=88
Dedicated Support: https://dedicated.opencart.com/
Marketplace Support: https://www.opencart.com/index.php?rout ... rt/support
Documentation: http://docs.opencart.com/en-gb/extension/theme/

Image Image Image


User avatar
Guru Member

Posts

Joined
Mon Jan 11, 2010 10:52 pm
Location - Austria

Post by straightlight » Sat Feb 23, 2019 3:04 am

thekrotek wrote:
Sat Feb 23, 2019 2:13 am
Not related to extension, no need to contact extension developer. Check your php.ini and user.ini files for "UTF-8;" part of the string and remove semicolon.
/public_html/system/library/facebookcommonutils.php
I don't see anywhere where this file does exist among the core.

The most generated errors being found on Opencart forum originates from contributed programming. The increased post counters are caused by redundancies of the same solutions that were already provided prior.


Regards,
Straightlight
Opencart.com contractor officials representative


Legendary Member

Posts

Joined
Mon Nov 14, 2011 11:38 pm
Location - Canada, ON

Post by thekrotek » Sat Feb 23, 2019 3:31 am

OSWorX wrote:
Sat Feb 23, 2019 2:15 am
If it would be that, the error would be displayed many times (because used in many files), don't you think?
It displays only when UTF-8 encoding is directly defined in some of the PHP functions. So yes, it is not always displayed. But this is the most common cause of the issue.

Professional OpenCart extensions, support and custom work.
Contact me via email or Skype by support@thekrotek.com


User avatar
Expert Member

Posts

Joined
Sun Jul 03, 2016 12:24 am


Post by OSWorX » Sat Feb 23, 2019 5:32 am

straightlight wrote:
Sat Feb 23, 2019 3:04 am
/public_html/system/library/facebookcommonutils.php
I don't see anywhere where this file does exist among the core.
Who said that is part of the core?

Forum Rules [en]: viewtopic.php?f=176&t=200480
Commercial Request: viewforum.php?f=88
Dedicated Support: https://dedicated.opencart.com/
Marketplace Support: https://www.opencart.com/index.php?rout ... rt/support
Documentation: http://docs.opencart.com/en-gb/extension/theme/

Image Image Image


User avatar
Guru Member

Posts

Joined
Mon Jan 11, 2010 10:52 pm
Location - Austria

Post by ShariB23 » Sat Feb 23, 2019 9:49 am

Thank you all for your assistance. It was the user.ini file created by cpanel. I removed the semicolon, and it appears to be working fine.

Newbie

Posts

Joined
Sat Oct 10, 2015 2:03 am

Who is online

Users browsing this forum: No registered users and 3 guests